首页 › API 文档 › 生活查询

台风列表

查询当年或指定年份的台风列表,包含台风编号、中英文名、状态等信息

接口地址

GET/POST https://api.tinyaii.cn/v1/typhoon/list

分类:生活查询 · 返回格式:JSON · 鉴权:API Key(URL 参数 apikey 或请求头 Authorization: Bearer)

请求参数

参数名类型必填说明
yearinteger否年份,不填则查询当年

返回字段

字段名类型说明
data.yearinteger查询年份
data.countinteger台风数量
data.typhoons[].idinteger台风ID(查询详情时使用)
data.typhoons[].name_cnstring中文名
data.typhoons[].name_enstring英文名
data.typhoons[].numberstring台风编号
data.typhoons[].statusstring状态:活跃/已停止
data.typhoons[].name_meaningstring名字含义

返回示例

{
  "code": 200,
  "data": {
    "year": 2026,
    "count": 11,
    "typhoons": [
      {
        "id": 3257931,
        "name_cn": "巴威",
        "name_en": "BAVI",
        "number": "2609",
        "status": "活跃",
        "name_meaning": "位于越南北部的山脉"
      }
    ]
  },
  "message": "success"
}

调用示例

curl "https://api.tinyaii.cn/v1/typhoon/list?apikey=YOUR_KEY&year="

把 YOUR_KEY 换成你在 用户中心 获取的 API Key,在浏览器打开同样地址也能直接看到结果。

相关接口(生活查询)

本站收录 353 个可免费调用的 API 接口,查看完整开发文档 或 注册获取 API Key。